Permalink
Browse files

patch 8.0.0631: can't build with Perl 5.26

Problem:    Perl 5.26 also needs S_TOPMARK and S_POPMARK defined.
Solution:   Define the functions when needed. (Jesin, closes #1748)
  • Loading branch information...
brammool committed Jun 10, 2017
1 parent f84b122 commit fa4161cb0c266378012d3fde0eca56da8739528d
Showing with 26 additions and 0 deletions.
  1. +24 −0 src/if_perl.xs
  2. +2 −0 src/version.c
View
@@ -633,6 +633,30 @@ S_SvREFCNT_dec(pTHX_ SV *sv)
}
# endif
/* perl-5.26 also needs S_TOPMARK and S_POPMARK. */
# if (PERL_REVISION == 5) && (PERL_VERSION >= 26)
PERL_STATIC_INLINE I32
S_TOPMARK(pTHX)
{
DEBUG_s(DEBUG_v(PerlIO_printf(Perl_debug_log,
"MARK top %p %" IVdf "\n",
PL_markstack_ptr,
(IV)*PL_markstack_ptr)));
return *PL_markstack_ptr;
}
PERL_STATIC_INLINE I32
S_POPMARK(pTHX)
{
DEBUG_s(DEBUG_v(PerlIO_printf(Perl_debug_log,
"MARK pop %p %" IVdf "\n",
(PL_markstack_ptr-1),
(IV)*(PL_markstack_ptr-1))));
assert((PL_markstack_ptr > PL_markstack) || !"MARK underflow");
return *PL_markstack_ptr--;
}
# endif
/*
* Make all runtime-links of perl.
*
View
@@ -764,6 +764,8 @@ static char *(features[]) =
static int included_patches[] =
{ /* Add new patch number below this line */
/**/
631,
/**/
630,
/**/

0 comments on commit fa4161c

Please sign in to comment.